summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Roberto Neri2012-12-05 22:03:24 +0100
committer dsomero2012-12-11 22:22:28 +0100
commit3df4b7d7ced07a0bd4453f706b68f3c286a5efbe (patch)
tree2881bd311170f20a8bbbdcb15cb0261adcfdd48e
parent2919b36c5931b74eca2154774db0958fe9a9ace3 (diff)
downloadslackbuilds-3df4b7d7ced07a0bd4453f706b68f3c286a5efbe.tar.gz
desktop/lxmed: Added. (LXDE Menu Editor)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
-rw-r--r--desktop/lxmed/README3
-rw-r--r--desktop/lxmed/doinst.sh4
-rw-r--r--desktop/lxmed/lxmed.SlackBuild76
-rw-r--r--desktop/lxmed/lxmed.info10
-rw-r--r--desktop/lxmed/slack-desc19
5 files changed, 112 insertions, 0 deletions
diff --git a/desktop/lxmed/README b/desktop/lxmed/README
new file mode 100644
index 0000000000..a7b855b0ba
--- /dev/null
+++ b/desktop/lxmed/README
@@ -0,0 +1,3 @@
+LXmed is graphical .desktop entries editor written in in Java.
+Conceived for LXDE, it complies with the freedesktop.org standards,
+so it's suitable for other desktop environments, such as XFCE.
diff --git a/desktop/lxmed/doinst.sh b/desktop/lxmed/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/desktop/lxmed/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/desktop/lxmed/lxmed.SlackBuild b/desktop/lxmed/lxmed.SlackBuild
new file mode 100644
index 0000000000..e358f6b9e9
--- /dev/null
+++ b/desktop/lxmed/lxmed.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for lxmed
+
+# Copyright 2012 Roberto Neri, Palermo, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lxmed
+VERSION=${VERSION:-20120515}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/{$PRGNAM,applications} $PKG/usr/bin
+cp -a content/LXMenuEditor.jar content/$PRGNAM.png \
+ $PKG/usr/share/$PRGNAM
+sed "s|/opt/lxmed|/usr/share/$PRGNAM|" \
+ content/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+cat > $PKG/usr/bin/$PRGNAM << EOF
+#!/bin/sh
+
+java -jar /usr/share/$PRGNAM/LXMenuEditor.jar "\$@"
+
+EOF
+
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENCE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/lxmed/lxmed.info b/desktop/lxmed/lxmed.info
new file mode 100644
index 0000000000..c82e74b325
--- /dev/null
+++ b/desktop/lxmed/lxmed.info
@@ -0,0 +1,10 @@
+PRGNAM="lxmed"
+VERSION="20120515"
+HOMEPAGE="http://lxmed.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/lxmed/lxmed-20120515.tar.gz"
+MD5SUM="dfbda46aad608d32f28ffdf44a3b1ac3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Roberto Neri"
+EMAIL="rneri@libero.it"
diff --git a/desktop/lxmed/slack-desc b/desktop/lxmed/slack-desc
new file mode 100644
index 0000000000..867e478149
--- /dev/null
+++ b/desktop/lxmed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lxmed: lxmed (.desktop entries editor)
+lxmed:
+lxmed: LXmed is graphical .desktop entries editor written in in Java.
+lxmed: Conceived for LXDE, it complies with the freedesktop.org standards,
+lxmed: so it's suitable for other desktop environments, such as XFCE.
+lxmed:
+lxmed:
+lxmed:
+lxmed:
+lxmed: Homepage: http://lxmed.sourceforge.net/
+lxmed: